Subject: Re: bug#67455: (Record source position, etc., in doc strings, and use this in *Help* and backtraces.)

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Mar 2024 16:42:28 -0400

> r-p-defined-s positions only lambdas and NAMEs defined by defun,
> defmacro, defvar, .... (around 50 defining symbols).  r-p-s positions
> every symbol apart from nil.  They have different purposes.  r-p-d-s
> gets info for the doc strings, which requires SWPs only for some
> symbols.  r-p-s is needed to get warning message locations.  Were r-p-s
> used for the doc string position information, most of the symbols would
> need to be stripped of their positions before the form could be used.
> It is simpler and faster not to position them at all.

In terms of code, I can't see why it'd be simpler: we already have the
r-p-s function, and we already have a function to strip that info when we
don't need it any more, so it would be less new code to write if we just
used r-p-s, I think.

        Stefan